VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
VisimBox.Renderer.FPSCamera Class Reference

Constrained camera with locked X rotation (rolling left to right) More...

Inheritance diagram for VisimBox.Renderer.FPSCamera:

List of all members.

## Public Member Functions
| FPSCamera ()
| Constructs camera with specified 45 degrees of field of vision and view distance of 0.f - 300, for specified width and height of the rendering window.
| FPSCamera (float fov)
| Constructs camera with specified field of vision and view distance of 0.3f - 300, for specified width and height of the rendering window.
| FPSCamera (float fov, float znear, float zfar)
| Constructs camera with specified field of vision and zNear and zFar cliping parameters.
override void | ReadXml (System.Xml.XmlReader reader)
| Deserializes object from XML.
override void | WriteXml (System.Xml.XmlWriter writer)
| Serializes object to XML.
override string | ToString ()
override ITransformation | GetCopy ()
| Returns copy of the transformation.
## Properties
override Quaternion | Rotation`[get, set]`
| Rotation in quaternion.

## Detailed Description

Constrained camera with locked X rotation (rolling left to right)

## Constructor & Destructor Documentation

VisimBox.Renderer.FPSCamera.FPSCamera | ( |  | ) |

Constructs camera with specified 45 degrees of field of vision and view distance of 0.f - 300, for specified width and height of the rendering window.

VisimBox.Renderer.FPSCamera.FPSCamera | ( | float | fov | ) |

Constructs camera with specified field of vision and view distance of 0.3f - 300, for specified width and height of the rendering window.

Parameters:

  fov | Field of vision (45 degrees is typical) in radians

VisimBox.Renderer.FPSCamera.FPSCamera | ( | float | fov,
|  | float | znear,
|  | float | zfar
| ) |  |

Constructs camera with specified field of vision and zNear and zFar cliping parameters.

Parameters:

  fov | Field of vision (45 degrees is typical) in radians
  znear | zNear clipping (minimal view distance)
  zfar | zFar clipping (max visible distance)

## Member Function Documentation

override ITransformation VisimBox.Renderer.FPSCamera.GetCopy | ( |  | ) | `[virtual]`

Returns copy of the transformation.

Returns:

Reimplemented from VisimBox.Renderer.StandardCamera.

override void VisimBox.Renderer.FPSCamera.ReadXml | ( | System.Xml.XmlReader | reader | ) | `[virtual]`

Deserializes object from XML.

Parameters:

  reader | XML reader

Reimplemented from VisimBox.Renderer.StandardCamera.

override string VisimBox.Renderer.FPSCamera.ToString | ( |  | ) |

Reimplemented from VisimBox.Renderer.StandardCamera.

override void VisimBox.Renderer.FPSCamera.WriteXml | ( | System.Xml.XmlWriter | writer | ) | `[virtual]`

Serializes object to XML.

Parameters:

  writer | XML writer to save values

Reimplemented from VisimBox.Renderer.StandardCamera.

## Property Documentation

override Quaternion VisimBox.Renderer.FPSCamera.Rotation`[get, set]`

Rotation in quaternion.

Reimplemented from VisiMath.QTransformation.

The documentation for this class was generated from the following file:

- StandardCamera.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events